<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"
        integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</head>

<body>
    <h1>New Item App</h1>
    <input id="input" placeholder="New item" />
    <h2>Item</h2>
    <ul id="push-item">
    </ul>
    <button type="submit" class="btn btn-primary">Clear All</button>

</body>

<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

    $(document).keypress(function (e) {
        var key = e.which;
        if (key == 13)  // the enter key code
        {
            onPressEnter()
        }
        $(".btn").on("click",function(){
            $("#push-item").html("")
            localStorage.clear()
        })
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPressEnter() {

        // Thu thập dữ liệu
        var vInput = $("#input")
        var vNewItem = $.trim(vInput.val())
        // xử lý hiển thị
        var vLocalKey = Object.keys(localStorage)
        $("#push-item").append(`<li>${vNewItem}</li>`)
        $("#input").val("")    
        localStorage.setItem(`newItem ${vLocalKey.length+1} `,`${vNewItem}`)

        
    }
</script>

</html>